Subject: Re: bug#16529: 24.3.50; regression: `set-face-attribute' broken for attribute `:font'

From: martin rudalics <[email-masked]>
Date: Sat, 25 Jan 2014 17:47:24 +0100

>> (apparently setting face attributes can run Lisp code from within
 >> Fx_create_frame and if that really happens it looks like a bad idea
 >> to me).
 >
 > Why do you think it is a bad idea?

Because, as someone remarked, at that time the frame is "not official
yet".  I haven't looked into the details but, if I understand correctly,
NOT running Lisp code in Fx_create_frame can detrimentally affect the
appearance of future frames.  Such design doesn't strike me as
particularly sane.  But maybe all functions run are of the benign type.

martin